Skip to content

Overview

Digital Distribution Hub is a new Xsolla solution that aims to connect digital and cash based payments via push payments technology and e-commerce.

This reference combines API endpoints for two Xsolla products: In-Game Store and Pay Station. There are two base URLs:

  • https://store.xsolla.com/api for the Common, Catalog, Cart, and Order groups.
  • https://ps.xsolla.com for the Notifications group.

API endpoints in the Catalog group don’t require authorization.

To work with operations in the Cart and Order groups, you need to generate a token via Create user token.

Note

This reference shows a design of a future API and not a fully functioning interface. Currently, you can try only Catalog and Notifications groups endpoints. If you’d like to share your feedback, please email us at techdoc@xsolla.com.
Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/digital-distribution-hub/
https://store.xsolla.com/api/
Operations

Update cart item from current cart

Request

Updates an existing cart item or creates the one in the cart.

Security
basicAuth
Path
project_idintegerrequired

Project ID.

Example: 44056
item_skustringrequired

Item SKU.

Example: booster_mega_1
Bodyapplication/json
currencystring(Cart-Payment_settings_currency)

Preferred payment currency. Three-letter currency code per ISO 4217.

quantitynumber

Item quantity.

Default 123
curl -i -X PUT \
  -u <username>:<password> \
  https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/cart/item/booster_mega_1 \
  -H 'Content-Type: application/json' \
  -d '{
    "currency": "string",
    "quantity": 123
  }'

Responses

The cart was successfully updated.

Response
No content

Delete cart item from current cart

Request

Removes an item from the cart.

Security
AuthForClient
Path
project_idintegerrequired

Project ID.

Example: 44056
item_skustringrequired

Item SKU.

Example: booster_mega_1
curl -i -X DELETE \
  https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/cart/item/booster_mega_1 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The item from the cart was successfully deleted.

Response
No content
Operations
Operations
Operations
Operations
Operations
Operations